Bug 444389 - rpm broken pipe error
rpm broken pipe error
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 01:17 EDT by Christopher Tubbs
Modified: 2009-01-07 04:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:29:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Tubbs 2008-04-28 01:17:21 EDT
Description of problem:
rpm -qa --last | anything
gives a broken pipe error message that appears to be from awk

Version-Release number of selected component (if applicable):
rpm-4.4.2.3-2.fc9.i386
gawk-3.1.5-17.fc9.i386

How reproducible:
100%

Steps to Reproduce:
1. rpm -qa --last | head
  
Actual results:
the output is exactly as expected, except an error is printed to STDERR that
says "awk: (FILENAME=- FNR=xxx) fatal: printf to "standard output" failed
(Broken pipe)"

Expected results:
no error message was expected

Additional info:
bug observed in Fedora 9 i386 (pre-release)
Comment 1 Panu Matilainen 2008-05-02 04:43:17 EDT
Yup. This comes from NSRP (indirectly invoked by NSS, which rpm now uses for
lowlevel crypto) disabling SIGPIPE which awk and many other cli tools expect for
normal pipe termination instead of EPIPE. 

Easy to fix by resetting SIGPIPE to default action for --pipe (which --last
alias uses), fixed upstream now.
Comment 2 Bug Zapper 2008-05-14 06:17:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Panu Matilainen 2008-07-14 08:09:58 EDT
Fixed in rawhide by the new rpm, should probably fix in F9 too...
Comment 4 Fedora Update System 2008-12-17 19:37:22 EST
rpm-4.4.2.3-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11390
Comment 5 Fedora Update System 2009-01-07 04:28:52 EST
rpm-4.4.2.3-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.